Name:		ispell
Version:	3.2.06
Release:	alt2
Serial:		1
 
Group:		Text tools
Summary:	The GNU interactive spelling checker program
License:	GPL
URL:		http://ficus-www.cs.ucla.edu/ficus-members/geoff/ispell.html

Source0:	http://fmg-www.cs.ucla.edu/geoff/tars/ispell-%{version}.tar.bz2
Source2:	spell.bz2
Source3:	ispell-3.20-hk2-deutsch.tar.bz2 
Source4:	ispell.alternatives

Patch0:		ispell-3.1.20-config.patch.bz2
Patch1:		ispell-3.2.06-german.patch.bz2 
Patch2:		ispell-3.1.20-termio.patch.bz2
Patch3:		ispell-3.1.20-strcmp.patch.bz2
Patch4:		ispell-3.1.20-maskbits64_and_british.patch.bz2 
Patch5:		ispell-3.2.06-dont-string.patch.bz2
Patch6:		ispell-3.20-sh.patch.bz2
Patch7:		ispell-3.20-missing_prototypes.patch.bz2
Patch8:		ispell-3.20-increase-max.patch.bz2
Patch9:		ispell-3.20-xb-options.patch.bz2
Patch10:	ispell-3.2.06-sq.patch.bz2
Patch11:	ispell-3.20-man-update.patch.bz2
# add missing includes
Patch12:	ispell-3.2.06-includes.patch.bz2
# use mkdir -p to create directories
Patch13:	ispell-3.2.06-mkdir_p.patch.bz2
# fix syntax error
Patch14:	ispell-3.2.06-syntax.patch

PreReq:		alternatives >= 0.0.6
BuildRequires:	byacc ncurses-devel libalternatives-devel

%description
Ispell is the GNU interactive spelling checker.  Ispell will check a text
file for spelling and typographical errors.  When it finds a word that is
not in the dictionary, it will suggest correctly spelled words for the
misspelled word.

You should install ispell if you need a program for spell checking (and who
doesn't...).

Note this package has only the spell checker engine; you also need to
install the dictionary files from the ispell-* package for your language.

%package en
Summary:	English dictionary for ispell
Group:		System/Internationalization
# the binary format changed with ispell 3.2.06
PreReq:		ispell >= 3.2.06
BuildPrereq:	words >= 2-ipl16mdk
Obsoletes:	iamerica ispell-english ibritish ispell-british
Provides:	ispell-dictionary = 3.2.06

%description en
This package has the English dictionary files for ispell.

With it you can check the spelling of Enlish text files or LaTeX files
written in English.

%package de
Summary:	 German dictionary for ispell
Group:		 System/Internationalization
PreReq:		 ispell >= 3.2.06
Obsoletes:	 ispell-german igerman
Provides:	 ispell-dictionary = 3.2.06

%description de
This package has the German dictionary files for ispell.

With it you can check the spelling of German text files or LaTeX files
written in German.

%prep

%setup -q -n ispell-%{version} -a3

%patch0 -p1
%patch1 
%patch2 -p1 -b .termio
%patch3 -p1 -b .strcmp
%patch4 -p1 -b .maskbits
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1 -b .SQ
%patch11 -p1
%patch12 -p1 -b .includes
%patch13 -p1 -b .mkdir-p
%patch14 -p1

%build
export LC_ALL='en'
# Make config.sh first
TMPDIR=%_tmppath PATH=.:$PATH make CFLAGS="$RPM_OPT_FLAGS" config.sh
perl -p -i -e "s/-O/$RPM_OPT_FLAGS/" config.sh
# from mandrake package:
# (Dadou) - 3.1.20-12mdk OK, it's ugly but it's late and I have no time to do
# nice things. Do them  if you want. Maintener (Pablo) s***s (sorry)
perl -pi -e "s#/usr/man#/usr/share/man#g" config.sh
perl -pi -e "s#/usr/info#/usr/share/info#g" config.sh
perl -pi -e "s#MASTERHASH='americanmed.hash'#MASTERHASH='americanmed+.hash'#g" config.sh
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" local.h
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" config.X
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" config.sh
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" ispell.1X
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" ispell.el
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" sq.1

# Now save build-rooted version (with time-stamp) for install ...
cp config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT/usr/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
TMPDIR=%_tmppath PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_mandir
mkdir -p $RPM_BUILD_ROOT%_libdir/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT%_infodir

cp -f config.sh.INSTALL config.sh
TMPDIR=%_tmppath PATH=.:$PATH make install
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_bindir}/ispell-spell
mv  $RPM_BUILD_ROOT%{_bindir}/ispell $RPM_BUILD_ROOT%_bindir/ispell-real
install -d $RPM_BUILD_ROOT%_altdir
install -p -m 644 %SOURCE4 $RPM_BUILD_ROOT%_altdir/%name


%post  
%register_alternatives ispell -- ispell

%preun
%unregister_alternatives ispell

%files
%defattr(-,root,root)
%doc README
%attr(755,root,root) %_bindir/*
%_altdir/%name
%_mandir/man1/ispell.1*
%_mandir/man4/ispell.4*
#%_infodir/ispell.info*
#%_libdir/emacs/site-lisp/ispell.el
%_mandir/man1/buildhash.1*
%_mandir/man1/munchlist.1*
%_mandir/man1/findaffix.1*
%_mandir/man1/tryaffix.1*
%_mandir/man1/sq.1*
%_mandir/man1/unsq.1*
%dir %_prefix/lib/ispell

%files en
%defattr(-,root,root)
%_mandir/man4/english.4*
%_prefix/lib/ispell/american.hash
%_prefix/lib/ispell/americanmed+.hash
%_prefix/lib/ispell/americanxlg.hash
%_prefix/lib/ispell/english.aff
%_prefix/lib/ispell/english.hash
%_prefix/lib/ispell/british.hash
%_prefix/lib/ispell/britishmed+.hash
%_prefix/lib/ispell/britishxlg.hash

%files de
%defattr(-,root,root)
%_libdir/ispell/deutsch.aff
%_libdir/ispell/deutsch.hash
%_libdir/ispell/deutschlxg.hash
%_libdir/ispell/deutschmed.hash
%_libdir/ispell/german.hash


%changelog
* Thu Nov 13 2003 Vital Khilko <vk@altlinux.ru> 1:3.2.06-alt2
- fixed serial missing

* Mon Nov 10 2003 Vital Khilko <vk@altlinux.ru> 3.2.06-alt1
- new version
- add alternatives
- build with german dictionary

* Thu Nov 21 2002 AEN <aen@altlinux.ru> 1:3.1.20-alt2
- %{un}install_info removed

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 1:3.1.20-alt1
- rebuild with gcc-3.2

* Wed Dec 26 2001 Ivan Zakharyaschev <imz@altlinux.ru> 3.1.10-ipl18mdk
- ispell-en:
  + add americanxlg dictionary
  + *xlg made the default dictionaries

* Wed Jun 13 2001 AEN <aen@logic.ru> 3.1.20-ipl17mdk
- removed Requires: locales-*

* Sun Jan 28 2001 Mikhail Zabaluev <zabaluev@parascript.com> 3.1.20-ipl16mdk
- Added:
  + Russian description
- Fixed:
  + dependencies for RE

* Wed Dec 06 2000 AEN <aen@logic.ru>
- build for RE

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.20-14mdk
- Dont include broken string.h.

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.1.20-13mdk
- Modify texinfo file for correct installation
- Generate info file instead of using a pre-generated one
- Modify BuildRequires since words package installed must be BM..

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.20-12mdk
- Allow to build
- Macros, BM, Linux-Mandrake's specs compliant, etc.

* Thu Jun 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-11mdk
- splitted ispell-de to its own package

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-10mdk
- rebuild for new Group: names
- changed the spec file a bit to leave compression of man pages to spec-helper

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary for ispell-{en,de}
- added Requires: ispell-dictionary to ispell package, so it requires
  at least one dictionary package to be installed

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- added british files to ispell-en

* Tue Oct 26 1999 Pawel Jablonski <pj@linux-mandrake.com>
- separate dictionaries ispell-en and ispell-de

* Sun Oct 3 1999 Pawe Jaboski <pj@linux-mandrake.com>
- increase MASKBITS from 32 to 64 - like in Debian (needed by ispell-pl)

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 15)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- add a buildroot

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- strcmp may have different forms on different systems;
  do not declare it explicitly, just include <string.h>
- use /var/tmp instead of /usr/tmp

* Sun Nov 8 1998 Patricia Jung <trish@freiburg.linux.de>
- Added German dictionary

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
